Bug 90471 - kernel crashes under file i/o load (i.e., bonnie++)
kernel crashes under file i/o load (i.e., bonnie++)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 14:21 EDT by Marty Shannon
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-30 14:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perl script to cause crash (1.12 KB, application/octet-stream)
2003-05-08 14:24 EDT, Marty Shannon
no flags Details

  None (edit)
Description Marty Shannon 2003-05-08 14:21:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Client has an application that builds (then deletes) a directory tree (5 layers
deep) with some 85000 directories and about 100 times that number of individual
files.  Attached perl script triggers a crash -- eventually, but running
"bonnie++ -s 12g:1k -n 850000:1g:1k:85000" seems to reliably crash the system. 
Seems to crash shortly after system needs to page (swap is 2GB).  Test is run on
ext3.

Machine is Dell 2650 w/PERC/3Di; 5 63GB drives in RAID5 config; 6GB RAM; 2 Xeon
CPUs @ 2.2GHz; HT disabled in BIOS.

Crash display not available (damned ACPI).

Version-Release number of selected component (if applicable):
kernel-2.4.20-9bigmem

How reproducible:
Always

Steps to Reproduce:
1.Install 9.
2.Apply all updates.
3.build bonnie++-1.03a.
4.run: "bonnie++ -s 12g:1k -n 850000:1g:1k:85000" on default ext3 fs (/home).

Actual Results:  Crash -- almost as if "halt" command executed.

Expected Results:  test completion

Additional info:
Comment 1 Marty Shannon 2003-05-08 14:24:18 EDT
Created attachment 91567 [details]
perl script to cause crash
Comment 2 Marty Shannon 2003-05-30 14:37:14 EDT
Ok, after some run-around from Dell, the bottom line is that with intense
filesystem activity (not just blasting i/o), even with the card's cache for the
data partition in write-thru mode (as recommended by Dell), with enough i/o
load, the card will lock up, never to answer to the kernel again -- at least
until a hard reset.

Note You need to log in before you can comment on or make changes to this bug.